Summary: Kernel and Hardware related utilities
Name:           kernel-utils
Version:        2.4
Release:        6ia64
Serial:         1
Group: System Environment/Base
License:        GPL
Url:            http://www.urbanmyth.org/microcode/
Source0:        microcode_ctl-1.06.tar.gz
Source1:	microcode_ctl.init
Source10:	dmidecode.c
Source20: 	smartsuite-2.1.tar.gz
Source30:	cpqarrayd-1.2.tar.gz
Source40:	eepro100-diag.c
Source50:	x86info-1.7.tar.bz2
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
Requires:	fileutils
BuildPreReq: 	ucd-snmp-devel kernel-source
%ifarch {ix86}
Obsoletes:	microcode_ctl
%endif

Patch1: microcode_ctl.patch
Patch20: smartsuite.patch
Patch30: cpqarrayd.patch

%description
kernel-utils contains several utilities that can be used to control
the kernel or your machines hardware. Included are
* dmidecode - gives information about the bios and motherboard revisisons
* microcode_ctl - updates the microcode on Intel cpu's
* smartctl - monitor the health of your disks

%prep

%setup -q -c -a 0 -a 20 -a 30 -a 50

%patch1
%patch20
%patch30

%build
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/man
mkdir -p %{buildroot}/etc/rc.d/init.d
gcc %{SOURCE10} -o  %{buildroot}/usr/sbin/dmidecode
gcc %{SOURCE40} $RPM_OPT_FLAGS -o %{buildroot}/usr/sbin/eepro100-diag

%ifarch %{ix86}
cd microcode_ctl-1.06
make CFLAGS="$RPM_OPT_FLAGS"
%endif

%install

%ifarch %{ix86}
cd microcode_ctl-1.06

make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} \
     INSDIR=/sbin MANDIR=%{_mandir}/man8 RCDIR=/etc MICDIR=/etc/firmware install clean

install %{SOURCE1} %{buildroot}/etc/rc.d/init.d/microcode_ctl

cd ../x86info-1.7
make
install x86info %{buildroot}/usr/sbin/x86info
cd ..
%endif

cd smartsuite-2.1
make DESTDIR=$RPM_BUILD_ROOT smartd smartctl install

cd ../cpqarrayd-1.2
sh autogen.sh
make
install cpqarrayd %{buildroot}/usr/sbin/cpqarrayd
install scripts/cpqarrayd %{buildroot}/etc/rc.d/init.d/cpqarrayd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%ifarch %{ix86}
/etc/rc.d/init.d/microcode_ctl
/etc/firmware/*
%{_mandir}/*/*
/sbin/microcode_ctl
/usr/sbin/x86info
%endif
/usr/sbin/eepro100-diag
/usr/sbin/smartd
/usr/sbin/smartctl
/usr/sbin/dmidecode
/usr/sbin/cpqarrayd
/etc/rc.d/init.d/smartd
/etc/rc.d/init.d/cpqarrayd

%ifarch %{ix86}
%preun
if [ "$1" = "0" ] ; then
 /sbin/service smartd stop
 /sbin/chkconfig --del smartd
%ifarch %{ix86}
 /sbin/chkconfig --del microcode_ctl
%endif
fi
%endif

%post
/sbin/chkconfig --add smartd
%ifarch %{ix86}
/sbin/chkconfig --add microcode_ctl
%endif

%changelog
* Thu Jul 25 2002 Jeremy Katz <katzj@redhat.com> 2.4.5-6ia64
- fix post and preun for ia64

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com> 2.4-5
- don't run things by default

* Wed Feb  6 2002 Tim Powers <timp@redhat.com> 2.4-3.6.2
- fix %%post sciptlet typo

* Mon Feb 04 2002	Arjan van de Ven <arjanv@redhat.com>
- fail gracefully in microcode_ctl if firmware isn't downloaded

* Mon Jan 28 2002	Arjan van de Ven <arjanv@redhat.com>
- added x86info

* Tue Jan 15 2002       Bill Nottingham <notting@redhat.com>
- move eepro100-diag from kudzu to here

* Fri Jan 11 2002	Arjan van de Ven <arjanv@redhat.com>
- added cpqarrayd for monitoring cpqarray drives too
  from http://starbreeze.knoware.nl/~hugo/compaq/

* Mon Jan 07 2002	Arjan van de Ven <arjanv@redhat.com>
- added smartsuite for monitoring disk health status

* Fri Dec 07 2001	Arjan van de Ven <arjanv@redhat.com>
- Initial packaging
